# Get resource state

Get the internal state of the resource. The state value depends on the resource type. For details about the potential states for each resource type, see [our resource state docs](https://docs.mediakind.com/mkio/reference/resource-states).

**RBAC Capability Required:** `ams.streamingendpoint.get`

## Authentication

**Authorization Bearer**  
Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

| Parameter               | Type   | Required |
|------------------------|--------|----------|
| project_name           | string | Yes      |
| endpoint_name          | string | Yes      |

## Response

**200 OK**  
- **status**: object [ResourceStateStatus](https://docs.mediakind.com/api-reference/media-api/schemas/resourcestatestatus) **Required**  
  - The status of the resource.
    - **state**: string **Required**  
      - The state of the resource. The value depends on the resource type.

## Errors

### 400 Bad Request
- **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) **Required**
  - Pertinent information about the error
    - **code**: string **Required**
    - **detail**: string **Required**
    - **extraDetail**: map from strings to any **Optional**
        - Extra information regarding this error.
    - **ref**: string **Required**
    - **status**: integer **Required**

### 401 Unauthorized
- **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) **Required**
  - Pertinent information about the error

### 403 Forbidden
- **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) **Required**
  - Pertinent information about the error

### 404 Not Found
- **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) **Required**
  - Pertinent information about the error

### 429 Too Many Requests
- **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) **Required**
  - Pertinent information about the error

### 500 Internal Server Error
- **error**: object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) **Required**
  - Pertinent information about the error
